package backuppc 3.2.0-3ubuntu3 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2

Bug #742748 reported by Pancho Cornejos
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
backuppc (Ubuntu)
Fix Released
High
Chuck Short
Natty
Fix Released
High
Chuck Short

Bug Description

Binary package hint: backuppc

i just ran "apt-get install backuppc". :(

ProblemType: Package
DistroRelease: Ubuntu 11.04
Package: backuppc 3.2.0-3ubuntu3
ProcVersionSignature: Ubuntu 2.6.38-7.38-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
NonfreeKernelModules: wl nvidia
Architecture: amd64
Date: Fri Mar 25 17:03:34 2011
ErrorMessage: subprocess installed post-installation script returned error exit status 2
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
SourcePackage: backuppc
Title: package backuppc 3.2.0-3ubuntu3 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2
UpgradeStatus: Upgraded to natty on 2011-03-24 (1 days ago)

Related branches

Revision history for this message
Pancho Cornejos (pancho-cornejos) wrote :
Revision history for this message
Serge Hallyn (serge-hallyn) wrote :

Thanks for submitting this bug and helping to make Ubuntu better.

Based on the error message, it sounds like libsocket6-perl, which is in the build-depends, needs to also be in the package dependencies.

Assigning this to Chuck as I suspect he'll be able to give an immediate yes/no.

Changed in backuppc (Ubuntu):
importance: Undecided → High
assignee: nobody → Chuck Short (zulcss)
Revision history for this message
Serge Hallyn (serge-hallyn) wrote :

The relevant except from DpkgTerminalLog.gz is:

 * Starting backuppc...  Can't locate Socket6.pm in @INC

Revision history for this message
Brian Murray (brian-murray) wrote :

I was able to recreate this when installing the same version of backuppc.

Changed in backuppc (Ubuntu Natty):
status: New → Triaged
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package backuppc - 3.2.0-3ubuntu4

---------------
backuppc (3.2.0-3ubuntu4) natty; urgency=low

  * debian/control: Add dependency for libsocket6-perl.
    (LP: #742748)
 -- Chuck Short <email address hidden> Mon, 04 Apr 2011 07:32:43 -0400

Changed in backuppc (Ubuntu Natty):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers